package de.mpiwg.itgroup.annotations.restlet.utils;

import java.util.Comparator;
import java.util.List;

import de.mpiwg.itgroup.annotations.Annotation;

import org.json.JSONException;
import org.json.JSONObject;

public class JSONObjectComparator implements Comparator<JSONObject>{
   
	private String attributeToSort;
	public JSONObjectComparator(String attribute){
		this.attributeToSort=attribute;
	}
	
	public int compare( JSONObject a, JSONObject b ) {
        // je quadratischer, desto grösser
		String sortA;
		try {
			sortA = a.getString(attributeToSort);
		} catch (JSONException e) {
			sortA ="";
		}
		String sortB;
		try {
			sortB = b.getString(attributeToSort);
		} catch (JSONException e) {
			sortB="";
		}
        
		
        return sortA.compareToIgnoreCase(sortB);
    }
        
	/**
	 * Sortiere array nach einem Parameter in den Annotationen
	 * @param results
	 * @return
	 */
	public static void sortAnnotations(List<JSONObject> results,String attribute) {
		JSONObjectComparator comp = new JSONObjectComparator(attribute);
		
		
	
		java.util.Collections.sort( results, comp);
		
		

	}        
	
}